## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name plotly-geo
%global forgeurl https://github.com/plotly/plotly.py

# Package does not provide any tests
%bcond tests 0

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %autorelease -n
Summary:        Geo shape files for use with plotly
%global tag %{pypi_name}-v%{version}
%forgemeta
License:        MIT
URL:            https://plotly.com/python/
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%global _description %{expand:
Package containing the geo shape files used by plotly.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
Recommends:     python3-plotly

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Upstream bundles three modules in one repo. We only need to consider
# plotly-geo. So, we remove everything else.
mv packages/python/plotly-geo ./top
find ./ -mindepth 1 -maxdepth 1 ! -name top -type d -exec rm -rf '{}' +
find ./ -maxdepth 1 -type f -delete
mv top/* .
rmdir top


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files _plotly_geo


%check
%if %{with tests}
%pytest -v
%else
%pyproject_check_import _plotly_geo
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Sat Oct 28 2023 Sandro <devel@penguinpee.nl> - 1.0.0-2
- Specify module to import
- Recommend `python3-plotly`

* Sat Oct 28 2023 Sandro <devel@penguinpee.nl> - 1.0.0-1
- Initial package
